GNU Radio's FOO Package: gr::foo::random_periodic_msg_source Class Reference

GNU Radio's FOO Package

gr::foo::random_periodic_msg_source Class Referenceabstract

`#include <random_periodic_msg_source.h>`

Inheritance diagram for gr::foo::random_periodic_msg_source:

## Public Types
typedef std::shared_ptr< random_periodic_msg_source > | sptr

## Public Member Functions
virtual void | set_nmsg (int nmsg)=0
virtual int | get_nmsg ()=0
virtual void | set_delay (long delay)=0
virtual long | get_delay ()=0
virtual void | start_tx ()=0
virtual void | stop_tx ()=0
virtual bool | is_running ()=0

## Static Public Member Functions
static sptr | make (int msg_len, long interval, int num_msg=1, bool quit=true, bool debug=false, int seed=0)

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<random_periodic_msg_source> gr::foo::random_periodic_msg_source::sptr

## Member Function Documentation

## ◆ get_delay()

virtual long gr::foo::random_periodic_msg_source::get_delay | ( |  | ) |
| pure virtual

Implemented in gr::foo::random_periodic_msg_source_impl.

## ◆ get_nmsg()

virtual int gr::foo::random_periodic_msg_source::get_nmsg | ( |  | ) |
| pure virtual

Implemented in gr::foo::random_periodic_msg_source_impl.

## ◆ is_running()

virtual bool gr::foo::random_periodic_msg_source::is_running | ( |  | ) |
| pure virtual

Implemented in gr::foo::random_periodic_msg_source_impl.

## ◆ make()

sptr gr::foo::random_periodic_msg_source::make | ( | int | msg_len,
|  | long | interval,
|  | int | num_msg = 1,
|  | bool | quit = true,
|  | bool | debug = false,
|  | int | seed = 0 )
| static

## ◆ set_delay()

virtual void gr::foo::random_periodic_msg_source::set_delay | ( | long | delay | ) |
| pure virtual

Implemented in gr::foo::random_periodic_msg_source_impl.

## ◆ set_nmsg()

virtual void gr::foo::random_periodic_msg_source::set_nmsg | ( | int | nmsg | ) |
| pure virtual

Implemented in gr::foo::random_periodic_msg_source_impl.

## ◆ start_tx()

virtual void gr::foo::random_periodic_msg_source::start_tx | ( |  | ) |
| pure virtual

Implemented in gr::foo::random_periodic_msg_source_impl.

## ◆ stop_tx()

virtual void gr::foo::random_periodic_msg_source::stop_tx | ( |  | ) |
| pure virtual

Implemented in gr::foo::random_periodic_msg_source_impl.

The documentation for this class was generated from the following file:

- random_periodic_msg_source.h